## di-packages-build 0.7

=== Makefile ===
DESTDIR :=
bindir = /usr/bin
mandir = /usr/share/man/man1
INSTALL = install

SUBDIRS = \
	Debian \
	make

DEBONLY = \
	dh_di_installchangelogs \
	dh_di_installdocs \
	dh_di_makeshlibs \
	dh_di_md5sums

STANDARD = \
	dh_di_builddeb \
	dh_di_debonly \
	dh_di_gencontrol

all: $(DEBONLY) $(STANDARD:=.1) $(DEBONLY:=.1)

$(DEBONLY): dh_di_debonly
	ln -sf $< $@

$(DEBONLY:=.1): %.1: dh_di_debonly.1
	ln -sf $< $@

$(STANDARD:=.1): %.1: %
	pod2man -c Debhelper -r '' $< $@

install: install-recursive

install-local: install-local-bin install-local-man

install-local-bin: $(DEBONLY) $(STANDARD)
	mkdir -p $(DESTDIR)$(bindir)
	@list='$^'; for p in $$list; do \
	  if [ -h $$p ]; then \
	    echo " cp -a $$d$$p $(DESTDIR)$(bindir)/$$f"; \
	    cp -a $$d$$p $(DESTDIR)$(bindir)/$$f; \
	  else \
	    echo " $(INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	    $(INSTALL) $$p $(DESTDIR)$(bindir)/$$f; \
	  fi \
	done

install-local-man: $(DEBONLY:=.1) $(STANDARD:=.1)
	mkdir -p $(DESTDIR)$(mandir)
	@list='$^'; for p in $$list; do \
	  if [ -h $$p ]; then \
	    echo " cp -a $$d$$p $(DESTDIR)$(mandir)/$$f"; \
	    cp -a $$d$$p $(DESTDIR)$(mandir)/$$f; \
	  else \
	    echo " $(INSTALL) $$p $(DESTDIR)$(mandir)/$$f"; \
	    $(INSTALL) $$p $(DESTDIR)$(mandir)/$$f; \
	  fi \
	done

clean-recursive install-recursive:
	@dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-local"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-local" || exit 1; \
	fi; test -z "$$fail"

clean: clean-recursive

clean-local:
	-rm -f $(DEBONLY) $(DEBONLY:=.1) $(STANDARD:=.1)

=== Debian/Makefile ===
DESTDIR :=
perllibdir = $(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian
INSTALL = install -m644

all:

install: install-local
install-local: Installer.pm
	mkdir -p $(DESTDIR)$(perllibdir)
	@list='$^'; for p in $$list; do \
	  echo " $(INSTALL) $$d$$p $(DESTDIR)$(perllibdir)/$$f"; \
	  $(INSTALL) $$d$$p $(DESTDIR)$(perllibdir)/$$f; \
	done

clean:

=== make/Makefile ===
DESTDIR :=
makedir = /usr/share/debian-installer/build/make
INSTALL = install -m644
INSTALL_EXEC = install

FILES = \
	config \
	rules

FILES_EXEC = \
	script

all: $(FILES) $(FILES_EXEC)

install: install-local install-local-exec

install-local: $(FILES)
	mkdir -p $(DESTDIR)$(makedir)
	@list='$^'; for p in $$list; do \
	  echo " $(INSTALL) $$d$$p $(DESTDIR)$(makedir)/$$f"; \
	  $(INSTALL) $$d$$p $(DESTDIR)$(makedir)/$$f; \
	done

install-local-exec: $(FILES_EXEC)
	mkdir -p $(DESTDIR)$(makedir)
	@list='$^'; for p in $$list; do \
	  echo " $(INSTALL_EXEC) $$d$$p $(DESTDIR)$(makedir)/$$f"; \
	  $(INSTALL_EXEC) $$d$$p $(DESTDIR)$(makedir)/$$f; \
	done

clean:

=== debian/changelog ===
di-packages-build (0.7) unstable; urgency=low

  * Build-Depend against python. (closes: #229438)

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Feb 2004 19:00:08 +0100

di-packages-build (0.6) unstable; urgency=low

  * Fix parsing of XC-Package-Type.
  * Add make rules.
  * Use di_python.

 -- Bastian Blank <waldi@debian.org>  Thu, 22 Jan 2004 23:38:52 +0100

di-packages-build (0.5) unstable; urgency=low

  * -t only uses usable packages.

 -- Bastian Blank <waldi@debian.org>  Fri, 09 Jan 2004 14:11:23 +0100

di-packages-build (0.4.1) unstable; urgency=low

  * Rerelease to fix unclean upload.

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Jan 2004 17:17:36 +0100

di-packages-build (0.4) unstable; urgency=low

  * Add support for a type argument -t.

 -- Bastian Blank <waldi@debian.org>  Mon, 05 Jan 2004 06:17:47 +0100

di-packages-build (0.3) unstable; urgency=low

  * Use one script for a lot of old scripts which share any logic.
  * Add support for packages with -udeb suffix.

 -- Bastian Blank <waldi@debian.org>  Fri, 12 Dec 2003 12:03:26 +0100

di-packages-build (0.2) unstable; urgency=low

  * New Release.

 -- Bastian Blank <waldi@debian.org>  Tue, 25 Nov 2003 17:16:08 +0100

di-packages-build (0.1) unstable; urgency=low

  * Initial Release.

 -- Bastian Blank <waldi@debian.org>  Sat, 22 Nov 2003 20:17:18 +0100

=== debian/control ===
Source: di-packages-build
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 4.0.0), python
Standards-Version: 3.6.1

Package: di-packages-build
Architecture: all
Depends: debhelper (>= 4.0.0), ${python:Depends}
Description: Helper packages for Debian-Installer packages build
 This package contains a few scripts which supports the build
 of various Debian-Installer packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean 

	-$(MAKE) clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/di-packages-build

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## di-packages-build 0.7ubuntu1

=== debian/changelog ===
di-packages-build (0.7ubuntu1) hoary; urgency=low

  * Build for python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 16:29:50 +0100

=== debian/control ===
Source: di-packages-build
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 4.2.28), python
Standards-Version: 3.6.1

Package: di-packages-build
Architecture: all
Depends: debhelper (>= 4.2.28), ${python:Depends}
Description: Helper packages for Debian-Installer packages build
 This package contains a few scripts which supports the build
 of various Debian-Installer packages.
